Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[S]Virtualbox 4.2 ebuild
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1596

PostPosted: Fri Sep 14, 2012 7:38 am    Post subject: [S]Virtualbox 4.2 ebuild Reply with quote

Hallo,

habe mir mal das neue Virtualbox 4.2 installiert.

Leider kommt nun beim Start, daß das Modul nicht zur Virtualbox Version paßt.
Habe die Module noch mal entladen. Leider bekommt man mit modprobe -vv auch keinen Versionshinweis. Wie kann man das checken?


Last edited by Tinitus on Fri Sep 14, 2012 10:41 am; edited 1 time in total
Back to top
View user's profile Send private message
Max Steel
Veteran
Veteran


Joined: 12 Feb 2007
Posts: 1951
Location: My own world! I and Gentoo!

PostPosted: Fri Sep 14, 2012 7:40 am    Post subject: Reply with quote

eix und evtl steht was in der dmesg. Vll kriegst du auch Infos über file...

Andere Möglichkeiten hab ich dir leider nicht (zur Not mal ein recompile machen...)

PS: Laden musst du die Module übrigens selbst... werden nicht automatisch geladen. (außer über /etc/conf.d/modules)
_________________
mfg
Steel
___________________
Big sorry for my bad English.

Heim-PC: AMD Phenom II X4 3,2GHz, 16GB RAM, gentoo-sources-3.10.7, NV GTX 780
Laptop: Intel Celeron 1,7GHz, 512MB Ram, tuxonice-sources-3.7.1, SIS Graphic

Version 0.4
Back to top
View user's profile Send private message
arfe
Apprentice
Apprentice


Joined: 24 Aug 2005
Posts: 171
Location: Essen

PostPosted: Fri Sep 14, 2012 8:21 am    Post subject: Re: Virtualbox 4.2 ebuild Reply with quote

Tinitus wrote:
Hallo,

habe mir mal das neue Virtualbox 4.2 installiert.

Leider kommt nun beim Start, daß das Modul nicht zur Virtualbox Version paßt.
Habe die Module noch mal entladen. Leider bekommt man mit modprobe -vv auch keinen Versionshinweis. Wie kann man das checken?


Aus dem Portage app-emulation/virtualbox-modules neu kompilieren bzw emerge'n. Das muss Du jedes Mal machen, wenn Du einen neuen oder anderen Kernel verwendest.

Die Kernel-Version des Modules findest Du so:

modinfo vboxdrv

Quote:
filename: /lib/modules/3.5.3/misc/vboxdrv.ko
version: 4.1.18 (0x00190000)
license: GPL
description: Oracle VM VirtualBox Support Driver
author: Oracle Corporation
srcversion: EB4E2D6F3F764286B05BA74
depends:
vermagic: 3.5.3 SMP preempt mod_unload
parm: force_async_tsc:force the asynchronous TSC mode (int)
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1437
Location: Oranienburg/Germany

PostPosted: Fri Sep 14, 2012 9:25 am    Post subject: Reply with quote

Hi,

da gab es einen Bug. Der ist aber inzwischen gefixt: siehe https://bugs.gentoo.org/show_bug.cgi?id=434958 und hier http://forums.gentoo.org/viewtopic-t-936630.html

MfG. Stefan
_________________
1st: C2D 3GHz, 8GB, 2.25TB, HD4850
2nd: Celeron 2.6GHz, 2GB, 500GB, HD4350
3rd: TP X220, 2,5GHz, 8GB, 320GB, HD3000
4th: Athlon X2 BE-2300, 4GB, 64GB SSD + 3TB RAID5 GF7025
5th: Samung N350, 2GB, 250GB, HD3150
6th: Rasperry Pi, 512MB, 32GB SD
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1596

PostPosted: Fri Sep 14, 2012 10:41 am    Post subject: Reply with quote

bbgermany wrote:
Hi,

da gab es einen Bug. Der ist aber inzwischen gefixt: siehe https://bugs.gentoo.org/show_bug.cgi?id=434958 und hier http://forums.gentoo.org/viewtopic-t-936630.html

MfG. Stefan


Das wars. Danke.
Back to top
View user's profile Send private message
Obelix
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2011
Posts: 100

PostPosted: Fri Sep 14, 2012 11:56 am    Post subject: Reply with quote

...kannst du mir sagen, wie du es überhaupt geschafft hast, die 4.2er Version zu bekommen?
Ich kasper hier schon eine Weile rum und würde nur 4.1.18 bekommen.
Ich will aber auch die 4.2.0.. Will haben... haben, haben, haben :)

Danke und Gruß
Obelix
_________________
read my lips: NO MORE BUGS!!
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4107

PostPosted: Fri Sep 14, 2012 1:47 pm    Post subject: Reply with quote

Obelix wrote:
...kannst du mir sagen, wie du es überhaupt geschafft hast, die 4.2er Version zu bekommen?
Ich kasper hier schon eine Weile rum und würde nur 4.1.18 bekommen.
Ich will aber auch die 4.2.0.. Will haben... haben, haben, haben :)

Danke und Gruß
Obelix

Diese version ist ~ARCH maskiert (genauso wie die 4.1.20 ;))
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Obelix
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2011
Posts: 100

PostPosted: Fri Sep 14, 2012 4:23 pm    Post subject: Reply with quote

Danke für die Info.
hm... ich habe noch nicht viele unmask Erfahrung, aber sollte nicht ein
Code:
app-emulation/virtualbox ~arch

in /etc/portage/package.keywords dafür sorgen, dass ich generell ~arch maskierte VBoxen bekomme?
auch ein
Code:
>=app-emulation/virtualbox-4.2.0 ~arch

das meiner Meinung nach besagt, dass ich ab Version 4.2.0 ~arch akzeptiere bringt nix
Es würde trotzdem 4.1.18 angezogen, statt 4.2.0

Alle Doku, die dazu gefunden und gelesen habe war entweder aus dem letzten Jahrhundert und damit nicht mehr wirklich gültig, oder es stand das drin (ich habs so verstanden) wie ich es oben wieder gegeben habe...
_________________
read my lips: NO MORE BUGS!!
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2614
Location: Hamburg/Germany

PostPosted: Fri Sep 14, 2012 5:01 pm    Post subject: Reply with quote

Hhm, also dies hier funktioniert :
Code:
tfoerste@n22 ~/workspace/bin $ grep -e virt -e kb /etc/portage/package.accept_keywords/misc
~app-emulation/virtualbox-4.2.0
~app-emulation/virtualbox-additions-4.2.0
~app-emulation/virtualbox-extpack-oracle-4.2.0
~app-emulation/virtualbox-modules-4.2.0
~dev-util/kbuild-0.1.9998_pre20120806
Manchmal hilft auch autounmask
Code:
emerge --update @world --newuse --changed-use --with-bdeps=y --ask --autounmask=y
weiter.
Back to top
View user's profile Send private message
Obelix
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2011
Posts: 100

PostPosted: Fri Sep 14, 2012 5:51 pm    Post subject: Reply with quote

...ich hab grad mal den emerge von dir versucht. Es soll app-emulation/virtualbox-modules-4.1.18 installiert werden. Sonst nix. Sehr komisch...
_________________
read my lips: NO MORE BUGS!!
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2614
Location: Hamburg/Germany

PostPosted: Fri Sep 14, 2012 6:47 pm    Post subject: Reply with quote

Obelix wrote:
...ich hab grad mal den emerge von dir versucht. Es soll app-emulation/virtualbox-modules-4.1.18 installiert werden. Sonst nix. Sehr komisch...
ah dies hier vergaß ich (oder aber mal mit --autounmask =y auf Deinem System versuchen) :
Code:
tfoerste@n22 ~ $ cat /etc/portage/package.unmask/misc
#       package.unmask
#

=sys-firmware/sgabios-0.1_pre8

Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2189
Location: Germany

PostPosted: Fri Sep 14, 2012 6:59 pm    Post subject: Reply with quote

@Obelix
Schau dir auch mal die Ausgabe von
Code:
equery y virtualbox-modules
an, dort ist gut ersichtlich welche Version auf welcher Architektur aktuell auf stable/testing verfügbar ist. (alternativ tut es auch "eshowkw virtualbox-modules"
Oder schau direkt in die Ebuilds unter /usr/portage/app-emulation/virtualbox-modules/

Oder nutze einfach eix :)
Back to top
View user's profile Send private message
Obelix
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2011
Posts: 100

PostPosted: Sun Sep 16, 2012 7:51 am    Post subject: Reply with quote

danke. es sieht bei mir folgendermaßen aus:

Code:
ObelixPC linux # equery y virtualbox-modules
Keywords for app-emulation/virtualbox-modules:
          |                           | u   |
          | a a             p     s   | n   |
          | l m   h i m m   p s   p   | u s | r
          | p d a p a 6 i p c 3   a x | s l | e
          | h 6 r p 6 8 p p 6 9 s r 8 | e o | p
          | a 4 m a 4 k s c 4 0 h c 6 | d t | o
----------+---------------------------+-----+-------
4.1.12    | o + o o o o o o o o o o + | o 0 | gentoo
4.1.18    | o + o o o o o o o o o o ~ | o   | gentoo
4.1.22    | o ~ o o o o o o o o o o ~ | #   | gentoo
 4.2.0-r1 | o ~ o o o o o o o o o o ~ | o   | gentoo


daraus schließe ich, dass das Paket ~amd64 ist. Das ist bei mir eine Default-Einstellung in /etc/make.conf [USE=".... ~amd64"]
Auch wenn ich das explizit noch in /etc/portage/package.use angebe, soll immer 4.1.18 kommen statt 4.2.0

Was mache ich denn falsch?
_________________
read my lips: NO MORE BUGS!!
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 416

PostPosted: Sun Sep 16, 2012 8:23 am    Post subject: Reply with quote

Es ist kein USE-Flag! sondern ein Keyword! Nimm das aus USE raus. Die richtige Datei ist /etc/portage/package.accept_keywords.
Siehe auch http://www.gentoo.org/doc/de/handbook/handbook-amd64.xml?part=3&chap=3#doc_chap2
Back to top
View user's profile Send private message
Obelix
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2011
Posts: 100

PostPosted: Sun Sep 16, 2012 10:53 am    Post subject: Reply with quote

...ah, verstanden. Danke!

da ich das bisher nicht gebraucht habe, hatte ich mich nicht damit beschäftigt.
Jetzt kommt auch das 4.2.0r-irgendwas Paket. Ich mach gleich noch ein komplettes Update des Systems, denn wenn ich schon drüber bin...
Also wenn ich mich nicht mehr melde, geht nix mehr :-D

Danke an alle Helfer...
_________________
read my lips: NO MORE BUGS!!
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Mon Sep 17, 2012 4:41 pm    Post subject: Reply with quote

Mit dem verpatzten virtualbox-modules release habe ich echt für viel bugspam gesorgt. Wenn ich wenigsten noch nachvollziehen könnte, wie ich so einen Sch[zenisert] verzapfen konnte...

Daher nochmal ein dickes Sorry an alle Betroffenen. Ich schätze mal, damit habe ich einigen Benutzern die Freude auf das nagelneue virtualbox-4.2.0 gehörig gedämpft :oops:
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum